curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/workflows/skip-samples' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"window_days": 1,
"count": 2,
"samples": [
{
"external_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"started_at": "2026-08-31T14:22:05Z",
"skip_tag": "string",
"sender": "string",
"subject": "Replacement tent pole set"
}
]
}
List brand skip samples
Sample tickets (sender/subject) behind one skip reason.
GET
/
v1
/
brands
/
{brand_id}
/
workflows
/
skip-samples
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/workflows/skip-samples' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"window_days": 1,
"count": 2,
"samples": [
{
"external_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"started_at": "2026-08-31T14:22:05Z",
"skip_tag": "string",
"sender": "string",
"subject": "Replacement tent pole set"
}
]
}
Path parameters
Query parameters
Response
object
Status codes
| Code | Meaning |
|---|---|
200 | Sample tickets (sender/subject) behind one skip reason. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/workflows/skip-samples' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reason": "Two-person tent, green — replacement for damaged pole set.",
"window_days": 1,
"count": 2,
"samples": [
{
"external_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"started_at": "2026-08-31T14:22:05Z",
"skip_tag": "string",
"sender": "string",
"subject": "Replacement tent pole set"
}
]
}
Last modified on August 31, 2026